Name:           gopenvpn
Version:        0.6
Release:        1%{?dist}
Summary:        Simple graphical front-end for OpenVPN

Group:          Applications/Internet
License:        GPLv2+
URL:            http://gopenvpn.sourceforge.net/
Source0:        %{name}.tar.gz
Source1:        %{name}.desktop                                                                                                                                                               
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  automake
BuildRequires:  desktop-file-utils
BuildRequires:  gedit
BuildRequires:  intltool
BuildRequires:  libglade2-devel
BuildRequires:  gnome-keyring-devel
BuildRequires:  openvpn
BuildRequires:  polkit-devel
Requires:       gedit
Requires:       openvpn

%description
gopenvpn is a simple graphical front-end for OpenVPN, the open source
VPN solution.  It provides a GNOME system tray icon from which OpenVPN
connections can be started and stopped, and a dialog from which
OpenVPN's logs can be viewed.  It can manage multiple simultaneous
connections, and graphically indicates when you're connected to a VPN
tunnel.


%prep
%setup -q -n %{name}
./autogen.sh


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -Dpm 644 pixmaps/gopenvpn-open.png \
    $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/gopenvpn.png
desktop-file-install --dir $RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p <lua>
posix.utime("%{_datadir}/icons/hicolor")

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS TODO
%{_bindir}/gopenvpn
%{?with_pk:%exclude }%{_bindir}/gopenvpnstart
%{_datadir}/gopenvpn/
%{_datadir}/applications/gopenvpn.desktop
%{_datadir}/icons/hicolor/*x*/apps/gopenvpn.png
/usr/share/polkit-1/actions/net.openvpn.gui.gopenvpn.policy

%changelog
* Sat Mar 24 2012 Nux <rpm@li.nux.ro> - 0.6-1
- update to 0.6
- tree 7f2ec1c9487682174cc2a056b9e245138f2ddada

* Wed Mar 21 2012 Nux <rpm@li.nux.ro> - 0.1git
- initial build attempt for GIT source
